# Class WeldJointDef

java.lang.Object
com.codename1.gaming.physics.box2d.dynamics.joints.JointDef
com.codename1.gaming.physics.box2d.dynamics.joints.WeldJointDef

public class WeldJointDef extends JointDef

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `float`
  `dampingRatio`
  The damping ratio.
  `float`
  `frequencyHz`
  The mass-spring-damper frequency in Hertz.
  `final Vec2`
  `localAnchorA`
  The local anchor point relative to body1's origin.
  `final Vec2`
  `localAnchorB`
  The local anchor point relative to body2's origin.
  `float`
  `referenceAngle`
  The body2 angle minus body1 angle in the reference state (radians).

  ### Fields inherited from class JointDef

  `bodyA, bodyB, collideConnected, type, userData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WeldJointDef()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialize(Body bA, Body bB, Vec2 anchor)`
  Initialize the bodies, anchors, and reference angle using a world anchor point.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### localAnchorA

    public final Vec2 localAnchorA
    The local anchor point relative to body1's origin.

  - ### localAnchorB

    public final Vec2 localAnchorB
    The local anchor point relative to body2's origin.

  - ### referenceAngle

    public float referenceAngle
    The body2 angle minus body1 angle in the reference state (radians).

  - ### frequencyHz

    public float frequencyHz
    The mass-spring-damper frequency in Hertz. Rotation only. Disable softness with a value of 0.

  - ### dampingRatio

    public float dampingRatio
    The damping ratio. 0 = no damping, 1 = critical damping.

- ## Constructor Details

  - ### WeldJointDef

    public WeldJointDef()

- ## Method Details

  - ### initialize

    public void initialize(Body bA, Body bB, Vec2 anchor)
    Initialize the bodies, anchors, and reference angle using a world anchor point.
    Parameters:
      `bA` -
      `bB` -
      `anchor` -